Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.event
Class BeanCallback

    java.lang.Object
      org.hibernate.ejb.event.Callback
          org.hibernate.ejb.event.BeanCallback

All Implemented Interfaces:
  Serializable

    public class BeanCallback

extends Callback

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.ejb.event.Callback
`callbackMethod`

Constructor Summary
`BeanCallback(Method callbackMethod)`

Method Summary
`void` | `invoke(Object bean)`

Methods inherited from class org.hibernate.ejb.event.Callback
`getCallbackMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanCallback

    public BeanCallback(Method callbackMethod)

Method Detail

### invoke

    public void invoke(Object bean)

  Specified by:
    `invoke` in class `Callback`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.